;;;; match-action-test.scm

;;(use syntax-case)
(use match-action)

(define *it* '((a b) (c d)))

(define (get-it)
	(car *it*))

(define (get-next)
	(unless (null? *it*)
		(set! *it* (cdr *it*)))
	(not (null? *it*)) )

(print "Should print Matched (c d), then Matched")

(let loop ()
	(match/action
		(print "Matched")
		(if (get-next)
			(loop))
		(get-it)
		[('c 'd)
			(print "Matched (c d)")]
		[('b 'a)
			(print "Matched (b a)")]))
